<?php
declare(strict_types=1);

namespace Inti\Wp\Provider\Service;

use function is_string;
use function sprintf;

/**
 * Trait SqlHelpers
 *
 * @package Inti\Wp\Provider\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-providers
 */
trait SqlHelpers
{
    protected function arrayToSelect(array $row): string
    {
        foreach ($row as $field => $value) {
            $fields[] = sprintf(
                '%s as %s',
                is_string($value) ? "'{$value}'" : $value,
                $field
            );
        }

        return 'SELECT ' . implode(',', $fields ?? []);
    }
}
